package net.northking.cctp.testbug.dto.bug;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;
import java.util.Map;

@ApiModel(description = "缺陷管理列表数据")
public class SearchDetailDto implements Serializable {

    private String id;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    private String uiProjectId;

    private String uiProjectNo;

    private String projectNo;

    private String projectName;

    @ApiModelProperty(value = "缺陷编号")
    private String defectNo;

    @ApiModelProperty(value = "缺陷名称")
    private String defectName;

    private String creator;
    private String creatorName;
    @ApiModelProperty(value = "分配给")
    private String assignTo;
    @ApiModelProperty(value = "分配给姓名")
    private String assignToName;
    @ApiModelProperty(value = "缺陷状态")
    private String defectStatus;

    private String createDateStart;


    private String createDateEnd;

    private String closeDateStart;

    private String closeDateEnd;

    private Map<String,String> createdDate;

    private Map<String,String> closeTime;

    public Map<String, String> getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Map<String, String> createdDate) {
        this.createdDate = createdDate;
    }

    public Map<String, String> getCloseTime() {
        return closeTime;
    }

    public void setCloseTime(Map<String, String> closeTime) {
        this.closeTime = closeTime;
    }

    /**
     * 模块<br>
     */
    @ApiModelProperty("模块")
    @Size(max = 32, message = "模块-moduleId: 数据长度不能 > 32")
    private String moduleId;
    /**
     * 系统<br>
     */
    @ApiModelProperty("系统")
    @Size(max = 32, message = "系统-systemId: 数据长度不能 > 32")
    private String systemId;
    /**
     * 系统<br>
     */
    @ApiModelProperty("项目")
    @Size(max = 1000, message = "项目-proId: 数据长度不能 > 1000")
    private String proId;
    /**
     * 其他搜索条件<br>
     */
    @ApiModelProperty("其他搜索条件")
    @Size(max = 2000, message = "其他搜索条件-other: 数据长度不能 > 2000")
    private String other;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    @Size(max = 50, message = "创建人-createdBy: 数据长度不能 > 50")
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 修改人<br>
     */
    @ApiModelProperty("修改人")
    @Size(max = 50, message = "修改人-updatedBy: 数据长度不能 > 50")
    private String updatedBy;
    /**
     * 修改时间<br>
     */
    @ApiModelProperty("修改时间")
    private Date updatedTime;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 50, message = "租户id-tenantId: 数据长度不能 > 50")
    private String tenantId;
    /**
     * 搜索方案名称<br>
     */
    @ApiModelProperty("搜索方案名称")
    @Size(max = 50, message = "搜索方案名称-schemeName: 数据长度不能 > 50")
    private String schemeName;

    public String getModuleId() {
        return moduleId;
    }

    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    public String getSystemId() {
        return systemId;
    }

    public void setSystemId(String systemId) {
        this.systemId = systemId;
    }

    public String getProId() {
        return proId;
    }

    public void setProId(String proId) {
        this.proId = proId;
    }

    public String getOther() {
        return other;
    }

    public void setOther(String other) {
        this.other = other;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getSchemeName() {
        return schemeName;
    }

    public void setSchemeName(String schemeName) {
        this.schemeName = schemeName;
    }

    public String getUiProjectNo() {
        return uiProjectNo;
    }

    public void setUiProjectNo(String uiProjectNo) {
        this.uiProjectNo = uiProjectNo;
    }

    public String getUiProjectId() {
        return uiProjectId;
    }

    public void setUiProjectId(String uiProjectId) {
        this.uiProjectId = uiProjectId;
    }

    public String getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(String projectNo) {
        this.projectNo = projectNo;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDefectNo() {
        return defectNo;
    }

    public void setDefectNo(String defectNo) {
        this.defectNo = defectNo;
    }

    public String getDefectName() {
        return defectName;
    }

    public void setDefectName(String defectName) {
        this.defectName = defectName;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getAssignTo() {
        return assignTo;
    }

    public void setAssignTo(String assignTo) {
        this.assignTo = assignTo;
    }

    public String getDefectStatus() {
        return defectStatus;
    }

    public void setDefectStatus(String defectStatus) {
        this.defectStatus = defectStatus;
    }

    public String getCreateDateStart() {
        return createDateStart;
    }

    public void setCreateDateStart(String createDateStart) {
        this.createDateStart = createDateStart;
    }

    public String getCreateDateEnd() {
        return createDateEnd;
    }

    public void setCreateDateEnd(String createDateEnd) {
        this.createDateEnd = createDateEnd;
    }

    public String getCloseDateStart() {
        return closeDateStart;
    }

    public void setCloseDateStart(String closeDateStart) {
        this.closeDateStart = closeDateStart;
    }

    public String getCloseDateEnd() {
        return closeDateEnd;
    }

    public void setCloseDateEnd(String closeDateEnd) {
        this.closeDateEnd = closeDateEnd;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getAssignToName() {
        return assignToName;
    }

    public void setAssignToName(String assignToName) {
        this.assignToName = assignToName;
    }
}
